Bug 243220 - What happened to cpufreq support ?
What happened to cpufreq support ?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-07 19:56 EDT by Allan Engelhardt
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 16:42:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after boot (31.06 KB, text/plain)
2007-06-11 01:48 EDT, Allan Engelhardt
no flags Details

  None (edit)
Description Allan Engelhardt 2007-06-07 19:56:39 EDT
Description of problem:

There does not appear to be any cpufreq support in the f7 kernel.

After loading all the cpufreq modules

for m in /lib/modules/$(uname -r)/kernel/drivers/cpufreq/*.ko; do 
mod=$(/bin/basename $m .ko);  modprobe -v $mod; done

there are no /sys/devices/system/cpu/cpu*/cpufreq/ directories (and as a
consequence cpufreq-set (from cpufreq-utils-002-1.1.41.fc6) and the gnome applet
(from gnome-applets-2.18.0-7.fc7) are not functioning.

Version-Release number of selected component (if applicable):

kernel-2.6.21-1.3194.fc7

How reproducible:

Completely.  (Reboot does not fix.)  Am I missing something obvious again?

Steps to Reproduce:
1. Load cpufreq modules as above
2. Verify no /sys/devices/system/cpu/cpu*/cpufreq/ directories
3.
  
Actual results:

No directories

Expected results:

Directories

Additional info:

This worked reliably in fc6 ...
Comment 1 Dave Jones 2007-06-11 01:01:12 EDT
dmesg output please ?
Comment 2 Allan Engelhardt 2007-06-11 01:48:41 EDT
Created attachment 156682 [details]
dmesg output after boot

dmesg output attached, as requested.  I can't see anything terribly relevant
there but then I probably do not know what to look for.
Comment 3 Allan Engelhardt 2007-06-11 18:24:10 EDT
Incidentally, not attempting to load the cpufreq modules during boot but then
doing it manually from the console (the for loop above) produces no output in
/var/log/messages.
Comment 4 Allan Engelhardt 2007-07-12 16:42:00 EDT
The interface has changed for F7.  The /etc/rc.d/init.d/cpuspeed (from
cpuspeed-1.2.1-2.fc7) script does the right thing if you set GOVERNOR in
/etc/sysconfig/cpuspeed.  Do ‘service cpuspeed start’ and you can use the usual
tools (cpufreq-utils-002-1.1.41.fc6) or the
/sys/devices/system/cpu/cpu*/cpufreq/ interfaces.

There is still a bug in cpufreq-applet (from gnome-applets-2.18.0-7.fc7) which
means you cannot change the govenor or speed from that application, but that is
not a kernel bug.

Marking this issue as closed.

Note You need to log in before you can comment on or make changes to this bug.